Bug 805292 - [engineering.redhat.com #146757] [Beaker] Disable koan by default
[engineering.redhat.com #146757] [Beaker] Disable koan by default
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.8
All Linux
unspecified Severity high (vote)
: 0.9.0
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 16:04 EDT by Jeff Burke
Modified: 2012-06-26 02:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2012-03-20 16:04:30 EDT
Beaker Developers,
Is it possible to disable koan for the default installations.
It is causing confusion when the system is displaying tracebacks
for no reason.

Show quoted text
koan, Checking for re-install: Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/koan/utils.py", line 535, in __try_connect
xmlrpc_server.ping()
File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
return self.__send(self.__name, args)
File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
verbose=self.__verbose
File "/usr/lib64/python2.6/xmlrpclib.py", line 1235, in request
self.send_content(h, request_body)
File "/usr/lib64/python2.6/xmlrpclib.py", line 1349, in send_content
connection.endheaders()
File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
self._send_output()
File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
self.send(msg)
File "/usr/lib64/python2.6/httplib.py", line 739, in send
self.connect()
File "/usr/lib64/python2.6/httplib.py", line 720, in connect
self.timeout)
File "/usr/lib64/python2.6/socket.py", line 567, in create_connection
raise error, msg
error: [Errno 113] No route to host
Traceback (most recent call last):
File "/usr/lib/python2.6/site-packages/koan/utils.py", line 535, in __try_connect
xmlrpc_server.ping()
File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
return self.__send(self.__name, args)
File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
verbose=self.__verbose
File "/usr/lib64/python2.6/xmlrpclib.py", line 1235, in request
self.send_content(h, request_body)
File "/usr/lib64/python2.6/xmlrpclib.py", line 1349, in send_content
connection.endheaders()
File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
self._send_output()
File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
self.send(msg)
File "/usr/lib64/python2.6/httplib.py", line 739, in send
self.connect()
File "/usr/lib64/python2.6/httplib.py", line 1112, in connect
sock = socket.create_connection((self.host, self.port), self.timeout)
File "/usr/lib64/python2.6/socket.py", line 567, in create_connection
raise error, msg
error: [Errno 113] No route to host
Comment 1 Marian Csontos 2012-03-20 18:28:00 EDT
This is handled by LabController provided kickstart.
Comment 2 Ales Zelinka 2012-05-31 07:06:13 EDT
+1. I was just about to file a bug for this. If it indeed is harmless then please handle the error more gracefully: catch the exception and print an log message. 

Jobs I've seen this in:
https://beaker.engineering.redhat.com/jobs/240490
https://beaker.engineering.redhat.com/jobs/226860
https://beaker.engineering.redhat.com/jobs/226748
Comment 3 Bill Peck 2012-05-31 09:29:22 EDT
this will be resolved in 0.9
Comment 5 Dan Callaghan 2012-06-26 02:41:20 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.